Debian Bug report logs - #629533
use mkfs.ext2/mkfs.ext3 instead of genext2fs

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Tue, 7 Jun 2011 13:51:02 UTC

Severity: normal

Tags: patch

Found in version live-build/3.0~a18-1

Fixed in version live-build/3.0~a19-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#629533; Package live-build. (Tue, 07 Jun 2011 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 07 Jun 2011 13:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: use mkfs.ext2/mkfs.ext3 instead of genext2fs
Date: Tue, 7 Jun 2011 14:49:20 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a18-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

genext2fs doesn't work very well with even moderately large filesystems.
It wants to allocate memory roughly equivalent to the size of the
filesystem it's creating.  On my 2GB test filesystem, it runs out of
memory even on my fairly well-provisioned laptop; on an ARM build
machine, I expect that using it would be thoroughly infeasible.

The attached patch converts live-build to use mkfs.ext2/mkfs.ext3
instead.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Use-mkfs.ext2-mkfs.ext2-instead-of-genext2fs.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#629533; Package live-build. (Wed, 08 Jun 2011 08:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 08 Jun 2011 08:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 629533@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 629533@bugs.debian.org
Subject: Re: Bug#629533: use mkfs.ext2/mkfs.ext3 instead of genext2fs
Date: Wed, 08 Jun 2011 10:03:20 +0200
tag 629533 pending
thanks

On 06/07/2011 03:49 PM, Colin Watson wrote:
> The attached patch converts live-build to use mkfs.ext2/mkfs.ext3
> instead.

applied, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Jun 2011 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 11 Jun 2011 09:36:23 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 09:36:26 GMT) Full text and rfc822 format available.

Message #17 received at 629533-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 629533-close@bugs.debian.org
Subject: Bug#629533: fixed in live-build 3.0~a19-1
Date: Sat, 11 Jun 2011 09:34:08 +0000
Source: live-build
Source-Version: 3.0~a19-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a19-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a19-1_all.deb
live-build_3.0~a19-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a19-1.debian.tar.gz
live-build_3.0~a19-1.dsc
  to main/l/live-build/live-build_3.0~a19-1.dsc
live-build_3.0~a19-1_all.deb
  to main/l/live-build/live-build_3.0~a19-1_all.deb
live-build_3.0~a19.orig.tar.gz
  to main/l/live-build/live-build_3.0~a19.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Jun 2011 11:04:08 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a19-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 627887 629533
Changes: 
 live-build (3.0~a19-1) unstable; urgency=low
 .
   [ Richard Nelson ]
   * Update VERSION in common.sh to match last release.
 .
   [ Daniel Baumann ]
   * Updating packages in sun-java6 example hook.
   * Updating default kernel flavour for progress on i386.
   * Updating default kernel flavour for debian on i386.
 .
   [ Colin Watson ]
   * Use mkfs.ext2/mkfs.ext2 instead of genext2fs (Closes: #629533).
   * Make --initramfs none work more consistently (Closes: #627887).
 .
   [ Richard Nelson ]
   * Add progress as an option for --mode in lb_config manpage.
 .
   [ Daniel Baumann ]
   * Don't try to install standard task on anything but ubuntu.
Checksums-Sha1: 
 ccf03f7e4586afea384db05d7f2208bde501ecf0 1282 live-build_3.0~a19-1.dsc
 91c1e8d2af56c1fcf68657c7058b05f8376b04f0 1928667 live-build_3.0~a19.orig.tar.gz
 9277d1fa5b7f6a7d78907e46866c198f1429f4b1 41383 live-build_3.0~a19-1.debian.tar.gz
 d5dc7c5813c187053ef4ec62a8ac74d0b50755a7 1133090 live-build_3.0~a19-1_all.deb
 b39d330fa41e192c88818476e7250136b2e8b777 57680 live-build-cgi_3.0~a19-1_all.deb
Checksums-Sha256: 
 c64da2f3a9f83386441eb25947f94a976f14299ae66ab720b0f2afd94e4049a3 1282 live-build_3.0~a19-1.dsc
 5d5e70c149e0026d52472b528c561ab32f9dc95f71767bfc49fa7213a7205cd3 1928667 live-build_3.0~a19.orig.tar.gz
 00c80df1b19bb0191ce1601627086be7409d22af78c4c294f0876b1e21794c91 41383 live-build_3.0~a19-1.debian.tar.gz
 d2a7d797bc2d62f6e532462d7e34c80fd04425ff5de99add5b1bfce8695e1e12 1133090 live-build_3.0~a19-1_all.deb
 536666dbfff8ae3cec03ffcb212a92a5f86bda0c6378366478859d3fcbfb9fc5 57680 live-build-cgi_3.0~a19-1_all.deb
Files: 
 8988d6659648cfe480a3a0e2a87f1325 1282 misc optional live-build_3.0~a19-1.dsc
 4903bdc132a2b775dc10c333bbab49fe 1928667 misc optional live-build_3.0~a19.orig.tar.gz
 faad2867e8b05dd3f099c27e230089cb 41383 misc optional live-build_3.0~a19-1.debian.tar.gz
 cf4be2056af3493abce692df69222585 1133090 misc optional live-build_3.0~a19-1_all.deb
 e47e81665e70af490f08597911688a9c 57680 misc optional live-build-cgi_3.0~a19-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3zMicACgkQ+C5cwEsrK54x/wCgqpHCLluvyJMJXGkae83Rxwah
3BAAn3pXlgNYaWfzMioH/uBUELkdufpw
=6nrM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Jul 2011 07:33:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:22:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.